%global pypi_name pygments
%global commitId ebb7b09deddb4c98c92360f6c6801c6c6aeff76f

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.17.2
Release:        1%{?dist}
Summary:        Pygments is a syntax highlighting package written in Python

License:        BSD-2-Clause
URL:            https://github.com/pygments/pygments
Source0:        python-pygments-ebb7b09deddb4c98c92360f6c6801c6c6aeff76f.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-hatchling
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-wheel

%global _description %{expand:
Pygments is a syntax highlighting package written in Python.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheeldir --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheeldir %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%exclude %{_bindir}/pygmentize
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info

%changelog
* Mon Feb 05 2024 Satoe Imaishi <simaishi@redhat.com> 2.17.2-1
- Update to 2.17.2
- Fix CVE-2022-40896 (ReDoS in pygments)

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.11.2-2
- Build against python 3.9

* Thu Feb 03 2022 Odilon Sousa <osousa@redhat.com> - 2.11.2-1
- Release python-pygments 2.11.2

* Thu Nov 25 2021 Odilon Sousa <osousa@redhat.com> - 2.10.0-2
- Release python-pygments 2.10.0

* Fri Nov 05 2021 Satoe Imaishi - 2.8.1-4
- Don't obsolete python 3.6 package and exclude files in bin

* Wed Sep 29 2021 Evgeni Golov - 2.8.1-3
- Obsolete the old Python 3.6 package for smooth upgrade

* Mon Sep 06 2021 Evgeni Golov - 2.8.1-2
- Build against Python 3.8

* Fri Mar 19 2021 Evgeni Golov 2.8.1-1
- Update to 2.8.1

* Thu Oct 29 2020 Evgeni Golov 2.7.2-1
- Update to 2.7.2

* Tue Aug 25 2020 Evgeni Golov - 2.6.1-1
- Initial package.
